Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd
Interface TService

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TServiceImpl

    public interface TService

extends org.apache.xmlbeans.XmlObject

An XML tService(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

Nested Class Summary
`static class` | `TService.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`javax.xml.namespace.QName` | `getName()` Gets the "name" attribute
`java.lang.String` | `getPort()` Gets the "port" attribute
`void` | `setName(javax.xml.namespace.QName name)` Sets the "name" attribute
`void` | `setPort(java.lang.String port)` Sets the "port" attribute
`org.apache.xmlbeans.XmlQName` | `xgetName()` Gets (as xml) the "name" attribute
`org.apache.xmlbeans.XmlNCName` | `xgetPort()` Gets (as xml) the "port" attribute
`void` | `xsetName(org.apache.xmlbeans.XmlQName name)` Sets (as xml) the "name" attribute
`void` | `xsetPort(org.apache.xmlbeans.XmlNCName port)` Sets (as xml) the "port" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getName

    javax.xml.namespace.QName getName()

  Gets the "name" attribute

### xgetName

    org.apache.xmlbeans.XmlQName xgetName()

  Gets (as xml) the "name" attribute

### setName

    void setName(javax.xml.namespace.QName name)

  Sets the "name" attribute

### xsetName

    void xsetName(org.apache.xmlbeans.XmlQName name)

  Sets (as xml) the "name" attribute

### getPort

    java.lang.String getPort()

  Gets the "port" attribute

### xgetPort

    org.apache.xmlbeans.XmlNCName xgetPort()

  Gets (as xml) the "port" attribute

### setPort

    void setPort(java.lang.String port)

  Sets the "port" attribute

### xsetPort

    void xsetPort(org.apache.xmlbeans.XmlNCName port)

  Sets (as xml) the "port" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD